
from aiogram.types import InlineKeyboardMarkup, InlineKeyboardButton

def get_main_keyboard(is_admin=False):
    keyboard_layout = [
        [
            InlineKeyboardButton(text="🔒AUTH GATES", callback_data="auth_gates"),
            InlineKeyboardButton(text="⚡️CHARGE GATES", callback_data="charge_gates")
        ],
        [
            InlineKeyboardButton(text="🇹🇷PUAN GATES", callback_data="puan_gates")
        ],
        [
            InlineKeyboardButton(text="💎MASS CHECK", callback_data="mass_check")
        ],
        [
            InlineKeyboardButton(text="🛠TOOLS", callback_data="tools")
        ],
        [
            InlineKeyboardButton(text="🎁 REFERRAL", callback_data="referral_info")
        ],
        [
            InlineKeyboardButton(text="Destek @AllForOneDev && @asmodeus1948", url="https://t.me/AllForOneDev?text=Destek%20almak%20istiyorum")
        ]
    ]
    
    # Add admin panel button if admin
    if is_admin:
        keyboard_layout.append([
            InlineKeyboardButton(text="ADMIN PANEL", callback_data="admin_panel")
        ])
    
    keyboard = InlineKeyboardMarkup(inline_keyboard=keyboard_layout)
    return keyboard

def get_tools_keyboard():
    keyboard = InlineKeyboardMarkup(inline_keyboard=[
        [
            InlineKeyboardButton(text="BIN SEARCH", callback_data="bin_search"),
            InlineKeyboardButton(text="GEN", callback_data="gen")
        ],
        [
            InlineKeyboardButton(text="GO BACK", callback_data="go_back")
        ]
    ])
    return keyboard
